#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const debug = (process.argv.includes('--debug'));
const d = require("debug");
// This initialization needs to be done *before* other requires in order to work.
if (debug) {
    d.enable('markdown-link-validator:*');
}
/*
 * Requirements
 */
// Now we can safely include the other modules that use debug.
const cli = require("../lib/cli");
/*
 * Execution
 */
process.once('uncaughtException', (err) => {
    console.error(err.message);
    console.error(err.stack);
    process.exitCode = 1;
});
process.once('unhandledRejection', (reason) => {
    console.error(reason);
    process.exitCode = 1;
});
const run = async () => {
    process.exitCode = await cli.execute(process.argv);
};
run();
//# sourceMappingURL=markdown-link-validator.js.map